Subject: [bug#49169] [PATCH 00/11] Removing input labels from package definitions

From: Ludovic Courtès <[email-masked]>
Date: Sat, 10 Jul 2021 15:45:45 +0200

Hello!

Sarah Morgensen <[email-masked]> skribis:

> This is a wonderful direction! I am always happy to see boilerplate
> evaporate.

Heh thanks, I agree!

> Ludovic Courtès <[email-masked]> writes:
>
>>   • I changed a few importers to emit simplified package inputs.
>>     We’ll have to take care of the other importers eventually.
>
> I found one more easy change to make in the importers. I just gave it a
> quick smoke test with the Go importer, nothing exhaustive; and I'm not
> sure which other importers use it. I've attached the patch below.

Awesome, I’ll apply this patch on your behalf.

> In the manual, you added:
>
>> Each element of these lists is either a package, origin, or other
>> ``file-like object'' [...]
>
> How should a file input like this be handled?
>
>   ("some.patch" (search-patch "some.patch"))
>
> If I had to guess, I'd try some gexp like...
>
>   #$(local-file (search-patch "some.patch"))

Exactly, or:

  (local-file "patches/some.patch")

>>  guix/scripts/style.scm | 527 +++++++++++++++++++++++++++++++++++++++++
>>  tests/style.scm        | 366 ++++++++++++++++++++++++++++
>>  23 files changed, 1643 insertions(+), 298 deletions(-)
>
> The style script makes up fully half of the patch! Wow.

Yes, but the patch resulting from running ‘guix style’ will be an order
of magnitude bigger.  :-)

Now that ‘core-updates’ is in a better shape, I feel safer pushing this
patch series.  Let’s see…

Thanks!

Ludo’.